Index: /trunk/admin/modules/Elezioni/ele_associazioni.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 76)
+++ /trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 77)
@@ -49,5 +49,5 @@
 	/*Funzione di visualizzazione globale                 */
 	/*****************************************************/
-	//crea la pagina delle affluenze
+	//
 	function all() {
 	global $user, $admin, $bgcolor1, $bgcolor2, $prefix,$descr_cons, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$id_cons_gen,$id_collegio,$idcomune,$chiusa,$id_conf,$tipo_cons,$language,$help;
@@ -55,24 +55,41 @@
 $dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
-
+############# Controllo flag per cancellazione consultazione
+	echo "<SCRIPT type=\"text/javascript\">\n\n<!--\n"
+	."//-->\n";
+	echo "function del_cons() {\n";
+	echo "if (document.model.pwd3.checked==false) {\n";
+	echo "document.model.chiusa.options[3].selected=false \n";
+	echo "} \n";
+	echo "if (document.model.chiusa.options[3].selected==false) {
+	 \n";
+	echo "document.model.add.value=\""._MODIFY."\" \n";
+	echo "document.model.do.value=\"update\" \n";
+	echo "}else{\n";
+	echo "document.model.add.value=\""._DELETE." "._CONSULTA."\" \n";
+	echo "document.model.do.value=\"delete\" \n";
+	echo "} \n";	
+	echo "} \n";
+	echo "</script>\n";
+#########################
 	if (isset($help)) include("language/$language/ele_associazioni.html");
 	OpenTable();
-	echo "<hr><br>";	
+	echo "<tr><td><hr><br>";	
 	$res = mysql_query("SELECT descrizione FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" , $dbi);
 	list ($descr_cons) = mysql_fetch_row($res);
 //inserire avviso su mancanza dei permessi
 	echo "<form name=\"model\" action=\"admin.php\">";
-	echo "<table>";
+	echo "<table width=\"100%\" border=\"3\">";
 	echo "<tr align=\"center\"><td bgcolor=\"$bgcolor1\"><b>"._CONSULTA."</b></td>";
 #	echo "<td bgcolor=\"$bgcolor1\"><b>"._COLLEGI."</b></td>";
 	echo "<td bgcolor=\"$bgcolor1\"><b>"._DEFCOMUNE."</b></td>";
-	echo "<td bgcolor=\"$bgcolor1\"><b>"._STATO."</b></td>";
+	echo "<td bgcolor=\"$bgcolor1\"><b>"._STATO."</b></td><td bgcolor=\"$bgcolor1\">";
 	if($tipo_cons==3)
-	echo "<td bgcolor=\"$bgcolor1\"><b>"._CONF."</b></td>";
-	echo "</tr>";
+		echo "<b>"._CONF."</b>";
 	echo "<input type=\"hidden\" name=\"op\" value=\"associazioni\">";
-	echo "<input type=\"hidden\" name=\"pag_cons\" value=\"admin.php?op=associazioni&amp;id_cons_gen=\">";
-	echo "<tr align=\"center\">";
-	echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"><td>$descr_cons</td>";
+#	echo "<input type=\"hidden\" name=\"pag_cons\" value=\"admin.php?op=associazioni&amp;id_cons_gen=\">";
+	echo "</td></tr>";
+	echo "<tr align=\"center\"><td>";
+	echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">$descr_cons</td>";
 #	$ressede = mysql_query("SELECT id_collegio, descrizione from ".$prefix."_ele_collegi where id_cons_gen='$id_cons_gen' order by descrizione desc", $dbi);
 #	if ($num_coll=mysql_num_rows($ressede)){
@@ -85,5 +102,14 @@
 #	} else echo "<td></td>";
 	$rescomu = mysql_query("SELECT id_comune, descrizione from ".$prefix."_ele_comuni order by descrizione asc", $dbi);
-	echo "<td><select name=\"idcomunenew\">";
+	echo "<td>";
+	if($idcomune) {
+		while ($listele=mysql_fetch_array($rescomu))
+			if($listele['id_comune']==$idcomune) {
+				echo $listele['descrizione'];
+				echo "<input type=\"hidden\" name=\"idcomunenew\" value=\"$idcomune\">";
+			}
+		
+	}else{
+	echo "<select name=\"idcomunenew\">";
 	echo "<option value=\"0\"> ";
 	while(list($id,$descr_comu)=mysql_fetch_row($rescomu)){
@@ -91,13 +117,18 @@
 		echo "<option value=\"$id\" $sel>$descr_comu";
 	}
-	echo "</select></td>";
+	echo "</select>";
+	}
+	echo "</td>";
 	$selez['0']='';
 	$selez['1']='';
 	$selez['2']='';
+	$selez['3']='';
 	$selez[$chiusa]="selected";
-	echo "<td><select name=\"chiusa\">";
+	echo "<td><select name=\"chiusa\" onChange=\"del_cons()\">";
 		echo "<option value=\"0\" ".$selez[0].">"._ATTIVA;
 		echo "<option value=\"1\" ".$selez[1].">"._CHIUSA;
 		echo "<option value=\"2\" ".$selez[2].">"._NULLA;
+
+		if($idcomune) echo "<option value=\"3\" ".$selez[3].">"._ELIMINA;
 	echo "</select></td>";
 	if($tipo_cons==3){
@@ -113,15 +144,28 @@
 	}
 	unset($sel);
-	echo "<input type=\"hidden\" name=\"ok\" value=0>";
+	echo "<td><input type=\"hidden\" name=\"ok\" value=0>";
 	echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">";
 	if ($idcomune) {
 		echo "<input type=\"hidden\" name=\"do\" value=\"update\">";
 		echo "<input type=\"hidden\" name=\"idcomune\" value=\"$idcomune\">";
-		echo "<td><input type=\"submit\" name=\"add\" value=\""._MODIFY."\"></td></tr></form>";
+		echo "<input type=\"submit\" name=\"add\" value=\""._MODIFY."\" ></td></tr>";
+		echo "<tr><td colspan=\"4\"><fieldset><legend>Abilita la cancellazione</legend><label id=\"prov\">Metti la spunta per poter eliminare la consultazione: <input type=\"checkbox\" name=\"pwd3\" value=\"\" onchange=\"del_cons()\"></label></fieldset>";
 	}else{
 		echo "<input type=\"hidden\" name=\"do\" value=\"add\">";
-		echo "<td><input type=\"submit\" name=\"add\" value=\""._ADD."\"></td></tr></form>";
+		echo "<input type=\"submit\" name=\"add\" value=\""._ADD."\">";
 	}
 	$i=0;
+	echo "</td></tr></table></form>";
+############
+	echo "<hr><br><table width=\"100%\" border=\"3\">";
+	echo "<tr align=\"center\"><td width=\"25%\" bgcolor=\"$bgcolor1\"><b>"._CONSULTA."</b></td>";
+#	echo "<td bgcolor=\"$bgcolor1\"><b>"._COLLEGI."</b></td>";
+	echo "<td width=\"25%\" bgcolor=\"$bgcolor1\"><b>"._DEFCOMUNE."</b></td>";
+	echo "<td width=\"15%\" bgcolor=\"$bgcolor1\"><b>"._STATO."</b></td>";
+	if($tipo_cons==3)
+		echo "<td bgcolor=\"$bgcolor1\"><b>"._CONF."</b></td>";
+	echo "<td></td></tr>";
+###############
+
 #	if ($num_coll>0)
 #	$resmod = mysql_query("SELECT t1.id_collegio,t1.id_comune,t2.descrizione as descr,t1.id_cons, t3.descrizione, t4.chiusa,t4.id_conf FROM ".$prefix."_ele_comu_collegi as t1, ".$prefix."_ele_collegi as t2, ".$prefix."_ele_comuni as t3, ".$prefix."_ele_cons_comune as t4 where t1.id_cons_gen='$id_cons_gen' and t1.id_collegio=t2.id_collegio and t1.id_comune=t3.id_comune and t1.id_comune=t4.id_comune and t2.id_cons_gen=t4.id_cons_gen order by t2.descrizione, t3.descrizione", $dbi);
@@ -133,8 +177,9 @@
 		$i++;
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
+		echo "<tr><td colspan=\"5\">";
 		echo "<form name=\"modello$i\" action=\"admin.php\">"
 			."<input type=\"hidden\" name=\"op\" value=\"associazioni\">";
 //		echo "<input type=\"hidden\" name=\"do\" value=\"update\">";
-		echo "<input type=\"hidden\" name=\"id_collegio\" value=\"$id_collegio\">";
+#		echo "<input type=\"hidden\" name=\"id_collegio\" value=\"$id_collegio\">";
 		echo "<input type=\"hidden\" name=\"idcomune\" value=\"$id_comune2\">";
 		echo "<input type=\"hidden\" name=\"id_cons_comu\" value=\"$id_cons_comu\">";
@@ -142,28 +187,30 @@
 		echo "<input type=\"hidden\" name=\"desc\" value=\"$descr_cons\">";
 		echo "<input type=\"hidden\" name=\"chiusa\" value=\"$chiusa\">";
-		echo "<tr align=\"center\" bgcolor=\"$bgcolor1\">";
-		echo "<td width=\"32\"><b>$descr_coll</b></td>";
-		echo "<td width=\"32\"><b>$descr_comu</b></td>";
+		echo "<table width=\"100%\"><tr align=\"center\" bgcolor=\"$bgcolor1\">";
+		echo "<td width=\"25%\"><b>$descr_coll</b></td>";
+		echo "<td width=\"25%\"><b>$descr_comu</b></td>";
 		$stato['0']=_ATTIVA;
 		$stato['1']=_CHIUSA;
 		$stato['2']=_NULLA;
-		echo "<td width=\"32\"><b>".$stato[$chiusa]."</b></td>";
+		echo "<td  width=\"15%\"><b>".$stato[$chiusa]."</b></td>";
 		if($tipo_cons==3)
-			echo "<td width=\"32\"><input type=\"hidden\" name=\"id_conf\" value=\"$id_conf\"><b>".$descr_conf."</b></td>";
-		echo "<input type=\"hidden\" name=\"ok\" value=0>";
-		echo "</td>";
-		echo "<td><input type=\"submit\" name=\"edit$i\" value=\""._EDIT."\">"
-			."</td></tr></form>";
-	}
-		echo "</table>";
+			echo "<td  width=\"25%\"><input type=\"hidden\" name=\"id_conf\" value=\"$id_conf\"><b>".$descr_conf."</b></td>";
+		echo "<td width=\"10\"><input type=\"hidden\" name=\"ok\" value=0><input type=\"submit\" name=\"edit$i\" value=\""._EDIT."\">"
+			."</td></tr></table></form></td></tr>\n";
+	}
+		echo "</table></td></tr>";
+		echo "</table></td></tr>";
 	CloseTable();
+	echo "</div>";
 	}
 
 function associazioni($ok, $do,$descr_comu,$id_cons_comu,$id_collegio,$id_comune,$chiusa,$id_conf) {
 	global $admin, $bgcolor1, $bgcolor2, $prefix, $dbi, $descr_cons,$genere,$id_cons_gen,$idcomunenew;
+	$delcons=0;
 	if ($do !="" and $id_cons_gen>0 and $idcomunenew>0) {
-		$rescomu = mysql_query("SELECT id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$idcomunenew'", $dbi);
+		$rescomu = mysql_query("SELECT id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$idcomunenew'", $dbi); 
 		$max = mysql_num_rows($rescomu); //esiste autorizzazione?
-		if (!$max){			//se no la inserisce
+			list($delcons)=mysql_fetch_row($rescomu);
+			if (!$max){			//se no la inserisce
 			$result = mysql_query("insert into ".$prefix."_ele_cons_comune (chiusa,id_comune,id_cons_gen,id_conf) values ('0','$idcomunenew','$id_cons_gen','$id_conf')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
 			$rescomu = mysql_query("SELECT id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$idcomunenew'", $dbi);
@@ -181,8 +228,26 @@
 				$result = mysql_query("insert into ".$prefix."_ele_comu_collegi (id_collegio,id_cons,id_comune,id_cons_gen) values ('$id_collegio','$id_cons_comu','$idcomunenew','$id_cons_gen')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
 			Header("Location: admin.php?op=associazioni&id_cons_gen=$id_cons_gen");
+		}elseif ($do == "delete" and $delcons>0) {
+			$idcns=$delcons; 
+			$res_del = mysql_query("delete from ".$prefix."_ele_voti_ref where id_cons=$idcns" ,$dbi);
+			$res_del = mysql_query("delete from ".$prefix."_ele_voti_candidati where id_cons=$idcns" ,$dbi);
+			$res_del = mysql_query("delete from ".$prefix."_ele_voti_lista where id_cons=$idcns" ,$dbi);
+			$res_del = mysql_query("delete from ".$prefix."_ele_voti_gruppo where id_cons=$idcns" ,$dbi);
+			$res_del = mysql_query("delete from ".$prefix."_ele_voti_parziale where id_cons=$idcns" ,$dbi);
+			$res_del = mysql_query("delete from ".$prefix."_ele_candidati where id_cons=$idcns" ,$dbi);
+			$res_del = mysql_query("delete from ".$prefix."_ele_lista where id_cons=$idcns" ,$dbi);
+			$res_del = mysql_query("delete from ".$prefix."_ele_gruppo where id_cons=$idcns" ,$dbi);
+			$res_del = mysql_query("delete from ".$prefix."_ele_sezioni where id_cons=$idcns" ,$dbi);
+			$res_del = mysql_query("delete from ".$prefix."_ele_cons_comune where id_cons=$idcns" ,$dbi);
+			
+			Header("Location: admin.php?op=associazioni&id_cons_gen=$id_cons_gen");
 		}
 	} 
 }
 
+
+
+
+#	die ("do:$do - id_cons:$id_cons_comu - idcomune:$id_comune - new: $idcomunenew");
 	
 //****************************
Index: /trunk/admin/modules/Elezioni/importa.php
===================================================================
--- /trunk/admin/modules/Elezioni/importa.php	(revision 76)
+++ /trunk/admin/modules/Elezioni/importa.php	(revision 77)
@@ -40,4 +40,5 @@
 		$res_gruppo = mysql_query("insert into ".$prefix."_ele_gruppo values($valori)" ,$dbi)||die("(1104) Non e' stato possibile inserire i gruppi nel database! contattare l'amministratore".mysql_error());
 		$resnew = mysql_query("select id_gruppo from ".$prefix."_ele_gruppo where num_gruppo='$numgruppo' and id_cons='$idcns'" ,$dbi);
+		$resnew = mysql_query("select id_gruppo from ".$prefix."_ele_gruppo where num_gruppo='$numgruppo' and id_cons='$idcns'");
 		list ($newidg) = mysql_fetch_row($resnew);
 		unset($valori);
@@ -140,4 +141,6 @@
 $errore=0;
 $fine=0;
+$numgruppo=0;
+$numlista=0;
 // Set counters
     $currentLine = 0;
@@ -168,6 +171,6 @@
 				$test=explode(':',$appo); if(!is_array($test)) {die("errore di import<br>");}
 				foreach($test as $key=>$val) 
-						if ($conf==$prefix."_ele_gruppo")
-							$ar_gruppo[$z][$key]=addslashes(base64_decode($val));
+						if ($conf==$prefix."_ele_gruppo"){
+							$ar_gruppo[$z][$key]=addslashes(base64_decode($val));}
 						elseif ($conf==$prefix."_ele_lista"){
 							if($primog==0){
@@ -180,5 +183,12 @@
 							$ar_lista[$z][$key]=addslashes(base64_decode($val));}
 						elseif ($conf==$prefix."_ele_candidati"){
-							if($primol==0){
+							if($primog==0){
+								$gruppofil= array_filter($ar_gruppo);
+								$numgruppo=count($gruppofil);
+								insgruppo();
+								$primog=1;
+								unset($ar_gruppo);
+							}
+							elseif($primol==0){
 								$listafil= array_filter($ar_lista);
 								$numlista=count($listafil);
@@ -190,8 +200,23 @@
 						}
 						elseif ($conf==$prefix."_ele_circoscrizione"){
-							inscandi();
-							unset($ar_candi);
-							$fine=1;
-							break;
+							if($primog==0){
+								$gruppofil= array_filter($ar_gruppo);
+								$numgruppo=count($gruppofil);
+								insgruppo();
+								$primog=1;
+								unset($ar_gruppo);
+							}
+							elseif($primol==0){
+								$listafil= array_filter($ar_lista);
+								$numlista=count($listafil);
+								inslista();
+								$primol=1;
+								unset($ar_lista);
+							}else{
+								inscandi();
+								unset($ar_candi);
+								$fine=1;
+								break;
+							}
 						}
 				$currentLine++;
Index: /trunk/admin/modules/Elezioni/language/it/ele_associazioni.html
===================================================================
--- /trunk/admin/modules/Elezioni/language/it/ele_associazioni.html	(revision 76)
+++ /trunk/admin/modules/Elezioni/language/it/ele_associazioni.html	(revision 77)
@@ -14,4 +14,5 @@
 assegnare una tra le modalita' di calcolo predefinite per
 l'assegnazione dei seggi di consiglio secondo il metodo D'Hondt.
+Cliccando sul corrispondente pulsante "Edita", a destra nella linea del comune su cui si vuole intervenire, e' possibile <b>modificare lo stato</b> della consultazione in "Attiva", "Chiusa" o "Nulla" oppure si puo' <b>ELIMINARE</b> la consultazione relativa al singolo comune. Rimane inalterata l'impostazione generale della consultazione (tipologia, date e orari di rilevazione delle affluenze) e non viene modificato alcun dato relativo ad altri comuni.   
 
 </td>
Index: /trunk/admin/modules/Elezioni/language/lang-en.php
===================================================================
--- /trunk/admin/modules/Elezioni/language/lang-en.php	(revision 76)
+++ /trunk/admin/modules/Elezioni/language/lang-en.php	(revision 77)
@@ -127,5 +127,5 @@
 define("_CIRCS","Constituencies");
 }
-
+define("_ELIMINA","DELETE");
 define("_HELP","Help On Line");
 define("_NOTAOP","");
Index: /trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- /trunk/admin/modules/Elezioni/language/lang-it.php	(revision 76)
+++ /trunk/admin/modules/Elezioni/language/lang-it.php	(revision 77)
@@ -148,4 +148,5 @@
 define("_CIRCS","Circoscrizioni");
 }
+define("_ELIMINA","ELIMINA");
 define("_NOTAOP","L'utente amministratore unico di un comune deve chiamarsi obbligatoriamente admin<br>Si stanno inserendo utenti per il comune di");
 define("_HELP","Help Contestuale");
Index: /trunk/client/temi/altro/index.php
===================================================================
--- /trunk/client/temi/altro/index.php	(revision 76)
+++ /trunk/client/temi/altro/index.php	(revision 77)
@@ -6,4 +6,5 @@
 
 ########## no blocco x grafici e risultati
+if (!isset($param['op'])) $param['op']='';
 if($blocco!=1 || $param['op']=="graf_gruppo" || $param['op']=="gruppo_circo" || $param['op']=="gruppo_sezione"
 || $param['op']=="lista_circo" || $param['op']=="lista_sezione"  || $param['op']=="candidato_circo" || $param['op']=="candidato_sezione"
Index: /trunk/client/temi/blog/index.php
===================================================================
--- /trunk/client/temi/blog/index.php	(revision 76)
+++ /trunk/client/temi/blog/index.php	(revision 77)
@@ -4,4 +4,5 @@
 include_once("temi/inc/button.php");
 ########## no blocco x grafici e risultati
+if (!isset($param['op'])) $param['op']='';
 if($blocco!=1 || $param['op']=="graf_gruppo" || $param['op']=="gruppo_circo" || $param['op']=="gruppo_sezione"
 || $param['op']=="lista_circo" || $param['op']=="lista_sezione"  || $param['op']=="candidato_circo" || $param['op']=="candidato_sezione"
Index: /trunk/client/temi/default/index.php
===================================================================
--- /trunk/client/temi/default/index.php	(revision 76)
+++ /trunk/client/temi/default/index.php	(revision 77)
@@ -7,4 +7,5 @@
 
 ########## no blocco x grafici e risultati
+if (!isset($param['op'])) $param['op']='';
 if($blocco!=1 || $param['op']=="graf_gruppo" || $param['op']=="gruppo_circo" || $param['op']=="gruppo_sezione"
 || $param['op']=="lista_circo" || $param['op']=="lista_sezione"  || $param['op']=="candidato_circo" || $param['op']=="candidato_sezione"
Index: /trunk/client/temi/stylized/index.php
===================================================================
--- /trunk/client/temi/stylized/index.php	(revision 76)
+++ /trunk/client/temi/stylized/index.php	(revision 77)
@@ -7,4 +7,5 @@
 
 ########## no blocco x grafici e risultati
+if (!isset($param['op'])) $param['op']='';
 if($blocco!=1 || $param['op']=="graf_gruppo" || $param['op']=="gruppo_circo" || $param['op']=="gruppo_sezione"
 || $param['op']=="lista_circo" || $param['op']=="lista_sezione"  || $param['op']=="candidato_circo" || $param['op']=="candidato_sezione"
Index: /trunk/client/temi/yellowblu/index.php
===================================================================
--- /trunk/client/temi/yellowblu/index.php	(revision 76)
+++ /trunk/client/temi/yellowblu/index.php	(revision 77)
@@ -5,4 +5,5 @@
 
 ########## no blocco x grafici e risultati
+if (!isset($param['op'])) $param['op']='';
 if($blocco!=1 || $param['op']=="graf_gruppo" || $param['op']=="gruppo_circo" || $param['op']=="gruppo_sezione"
 || $param['op']=="lista_circo" || $param['op']=="lista_sezione"  || $param['op']=="candidato_circo" || $param['op']=="candidato_sezione"
Index: /trunk/install/sql/eleonline.sql
===================================================================
--- /trunk/install/sql/eleonline.sql	(revision 76)
+++ /trunk/install/sql/eleonline.sql	(revision 77)
@@ -33,7 +33,7 @@
 
 /*!40000 ALTER TABLE `soraldo_access` DISABLE KEYS */;
-LOCK TABLES `soraldo_access` WRITE;
+
 INSERT INTO `soraldo_access` VALUES (1,'Sospeso'),(16,'Operatore'),(32,'Amministratore'),(64,'Amministratore Unico'),(256,'Superuser');
-UNLOCK TABLES;
+
 /*!40000 ALTER TABLE `soraldo_access` ENABLE KEYS */;
 
@@ -64,7 +64,7 @@
 
 /*!40000 ALTER TABLE `soraldo_authors` DISABLE KEYS */;
-LOCK TABLES `soraldo_authors` WRITE;
+
 INSERT INTO `soraldo_authors` VALUES ('suser','suser',0,'test@','098f6bcd4621d373cade4e832627b4f6',1,0,0,1,'it');
-UNLOCK TABLES;
+
 /*!40000 ALTER TABLE `soraldo_authors` ENABLE KEYS */;
 
@@ -108,7 +108,7 @@
 
 /*!40000 ALTER TABLE `soraldo_config` DISABLE KEYS */;
-LOCK TABLES `soraldo_config` WRITE;
+
 INSERT INTO `soraldo_config` VALUES ('','http://www.fonte-nuova.it','','Sito istituzionale','Maggio 2009','admin@localhost','facebook','<b>Comune di Menfi</b><br>\r\nvia  - 84023 Menfi (Ag)\r\nTel:  Fax: \r\n<hr>','it','1','','','','Gpl v3',2,0,84023,'1','1','','','0','1','1','Admin');
-UNLOCK TABLES;
+
 /*!40000 ALTER TABLE `soraldo_config` ENABLE KEYS */;
 
@@ -131,6 +131,6 @@
 
 /*!40000 ALTER TABLE `soraldo_doc_cons` DISABLE KEYS */;
-LOCK TABLES `soraldo_doc_cons` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_doc_cons` ENABLE KEYS */;
 
@@ -160,6 +160,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_candidati` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_candidati` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_candidati` ENABLE KEYS */;
 
@@ -184,6 +184,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_circoscrizione` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_circoscrizione` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_circoscrizione` ENABLE KEYS */;
 
@@ -207,6 +207,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_collegi` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_collegi` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_collegi` ENABLE KEYS */;
 
@@ -232,6 +232,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_come` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_come` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_come` ENABLE KEYS */;
 
@@ -257,6 +257,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_comu_collegi` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_comu_collegi` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_comu_collegi` ENABLE KEYS */;
 
@@ -288,6 +288,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_comuni` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_comuni` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_comuni` ENABLE KEYS */;
 
@@ -319,7 +319,7 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_conf` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_conf` WRITE;
+
 INSERT INTO `soraldo_ele_conf` VALUES (1,'Legge Italiana 267/2000',3,'1',67,3,60,3,'1','1',40,40),(2,'Regione Sicilia precedente al 2008',2,'0',67,3,60,3,'1','1',40,40),(3,'Regione Sicilia Legge n. 22 del 16/12/2008',2,'0',67,5,60,3,'1','0',40,40);
-UNLOCK TABLES;
+
 /*!40000 ALTER TABLE `soraldo_ele_conf` ENABLE KEYS */;
 
@@ -346,6 +346,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_cons_comune` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_cons_comune` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_cons_comune` ENABLE KEYS */;
 
@@ -370,6 +370,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_consultazione` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_consultazione` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_consultazione` ENABLE KEYS */;
 
@@ -394,6 +394,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_documenti` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_documenti` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_documenti` ENABLE KEYS */;
 
@@ -418,7 +418,7 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_fasce` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_fasce` WRITE;
+
 INSERT INTO `soraldo_ele_fasce` VALUES (1,3000,'2000-01-01','0000-00-00',12),(2,10000,'2000-01-01','0000-00-00',16),(3,15000,'2000-01-01','0000-00-00',20),(4,30000,'2000-01-01','0000-00-00',20),(5,100000,'2000-01-01','0000-00-00',30),(6,250000,'2000-01-01','0000-00-00',40),(7,500000,'2000-01-01','0000-00-00',46),(8,1000000,'2000-01-01','0000-00-00',50),(9,100000000,'2000-01-01','0000-00-00',60);
-UNLOCK TABLES;
+
 /*!40000 ALTER TABLE `soraldo_ele_fasce` ENABLE KEYS */;
 
@@ -446,6 +446,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_gruppo` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_gruppo` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_gruppo` ENABLE KEYS */;
 
@@ -471,6 +471,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_link` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_link` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_link` ENABLE KEYS */;
 
@@ -500,6 +500,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_lista` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_lista` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_lista` ENABLE KEYS */;
 
@@ -527,6 +527,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_log` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_log` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_log` ENABLE KEYS */;
 
@@ -549,6 +549,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_modelli` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_modelli` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_modelli` ENABLE KEYS */;
 
@@ -575,6 +575,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_numeri` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_numeri` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_numeri` ENABLE KEYS */;
 
@@ -601,6 +601,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_operatori` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_operatori` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_operatori` ENABLE KEYS */;
 
@@ -621,6 +621,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_province` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_province` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_province` ENABLE KEYS */;
 
@@ -643,6 +643,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_regioni` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_regioni` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_regioni` ENABLE KEYS */;
 
@@ -665,6 +665,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_rilaff` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_rilaff` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_rilaff` ENABLE KEYS */;
 
@@ -696,6 +696,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_sede` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_sede` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_sede` ENABLE KEYS */;
 
@@ -722,6 +722,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_servizi` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_servizi` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_servizi` ENABLE KEYS */;
 
@@ -760,6 +760,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_sezioni` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_sezioni` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_sezioni` ENABLE KEYS */;
 
@@ -779,7 +779,7 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_temi` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_temi` WRITE;
+
 INSERT INTO `soraldo_ele_temi` VALUES ('default'),('altro'),('blog'),('stylized'),('tour'),('yellowblu'),('facebook');
-UNLOCK TABLES;
+
 /*!40000 ALTER TABLE `soraldo_ele_temi` ENABLE KEYS */;
 
@@ -807,7 +807,7 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_tipo` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_tipo` WRITE;
+
 INSERT INTO `soraldo_ele_tipo` VALUES (1,'PROVINCIALI','it',3,'0','0','0','0'),(2,'REFERENDUM','it',0,'0','0','0','0'),(3,'COMUNALI','it',5,'0','0','0','0'),(4,'CIRCOSCRIZIONALI','it',5,'0','0','0','1'),(5,'BALLOTTAGGIO COMUNALI','it',1,'0','0','0','0'),(6,'CAMERA','it',2,'0','0','0','0'),(7,'SENATO','it',2,'0','0','0','0'),(8,'EUROPEE','it',4,'0','0','0','0'),(9,'REGIONALI','it',5,'0','0','0','0'),(10,'SENATO CON GRUPPI','it',5,'1','0','1','0'),(11,'CAMERA CON GRUPPI','it',5,'1','0','1','0'),(12,'PROVINCIALI CON COLLEGI','it',3,'0','0','0','1'),(13,'BALLOTTAGGIO PROVINCIALI','it',1,'0','0','0','0'),(14,'EUROPEE CON COLLEGI','it',4,'0','0','0','1'),(15,'CAMERA CON GRUPPI E COLLEGI','it',5,'1','0','1','1'),(16,'SENATO CON GRUPPI E COLLEGI','it',5,'1','0','1','1'),(17,'REGIONALI CON COLLEGI','it',5,'0','0','0','1');
-UNLOCK TABLES;
+
 /*!40000 ALTER TABLE `soraldo_ele_tipo` ENABLE KEYS */;
 
@@ -833,6 +833,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_voti_candidati` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_voti_candidati` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_voti_candidati` ENABLE KEYS */;
 
@@ -858,6 +858,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_voti_gruppo` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_voti_gruppo` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_voti_gruppo` ENABLE KEYS */;
 
@@ -883,6 +883,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_voti_lista` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_voti_lista` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_voti_lista` ENABLE KEYS */;
 
@@ -914,6 +914,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_voti_parziale` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_voti_parziale` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_voti_parziale` ENABLE KEYS */;
 
@@ -944,7 +944,48 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_voti_ref` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_voti_ref` WRITE;
-UNLOCK TABLES;
+
+
 /*!40000 ALTER TABLE `soraldo_ele_voti_ref` ENABLE KEYS */;
+
+--
+-- Struttura della tabella `soraldo_ele_widget`
+--
+
+DROP TABLE IF EXISTS `soraldo_ele_widget`;
+CREATE TABLE IF NOT EXISTS `soraldo_ele_widget` (
+  `id` int(10) NOT NULL AUTO_INCREMENT,
+  `nome_file` varchar(255) NOT NULL DEFAULT '',
+  `titolo` varchar(255) NOT NULL DEFAULT '',
+  `pos_or` int(1) NOT NULL DEFAULT '1',
+  `pos_ver` int(3) NOT NULL DEFAULT '0',
+  `attivo` int(1) NOT NULL DEFAULT '0',
+  PRIMARY KEY (`id`)
+) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=13 ;
+
+--
+-- Dump dei dati per la tabella `soraldo_ele_widget`
+--
+
+
+/*!40000 ALTER TABLE `soraldo_ele_widget` DISABLE KEYS */;
+
+
+INSERT INTO `soraldo_ele_widget` (`id`, `nome_file`, `titolo`, `pos_or`, `pos_ver`, `attivo`) VALUES
+(1, '00_affluenze.php', '00_affluenze.php', 1, 0, 0),
+(2, '01_votanti.php', '01_votanti.php', 1, 0, 0),
+(3, '02_risultati.php', '02_risultati.php', 1, 0, 0),
+(4, '04_sezioni.php', '04_sezioni.php', 1, 0, 0),
+(5, 'bar_affluenze.php', 'bar_affluenze.php', 1, 0, 0),
+(6, 'bloccocand.php', 'bloccocand.php', 1, 0, 0),
+(7, 'bloccogen.php', 'bloccogen.php', 1, 0, 0),
+(8, 'bloccolink.php', 'bloccolink.php', 1, 0, 0),
+(9, 'bloccoref.php', 'bloccoref.php', 1, 0, 0),
+(10, 'gom_affluenze.php', 'gom_affluenze.php', 1, 0, 0),
+(11, 'off_Votanti.php', 'off_Votanti.php', 1, 0, 0),
+(12, 'pie_affluenze.php', 'pie_affluenze.php', 1, 0, 0);
+
+
+/*!40000 ALTER TABLE `soraldo_ele_widget` ENABLE KEYS */;
+
 /*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
 
@@ -956,3 +997,2 @@
 /*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
 /*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
-
